---
title: RTCIceCandidateStats.lastPacketSentTimestamp
slug: Web/API/RTCIceCandidatePairStats/lastPacketSentTimestamp
tags:
  - API
  - Candidate
  - Connection
  - Connectivity
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - lastPacketSentTImestamp
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>lastPacketSentTimestamp</code></strong> indicates the time at which the connection described by the candidate pair last sent a packet, not including {{Glossary("STUN")}} packets.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>lastPacketSentTimestamp</em> = <em>rtcIceCandidatePairStats</em>.lastPacketSentTimestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} object indicating the timestamp at which the connection described by pair of candidates last sent a packet, STUN packets excluded.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-lastpacketsenttimestamp', 'RTCIceCandidatePairStats.lastPacketSentTimestamp') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.lastPacketSentTimestamp")}}</p>
